/* This file was automatically made by ./mkoptdesc.sh from "doc/invoke.texi" */
const char *clh_default_text = {\
"@0{GNU compiler suite C/C++ preprocessor driver}"
"@nUsage: @z [option]... [file]...@n@n"
"Preprocess input files (or read from @b{stdin} if no files are specified)@n@n"
"The program has a large amount of options, to see the help index type "
"@b{@z --help=*}. Below is a list of most common options:@n@n"
"@b{-D@i{macro}{=@i{defn}}}	Define @i{macro} as @b{1} (if @i{defn} is missing) or @i{defn}@n"
"@b{-h@i{topic}}		Display command-line help on @i{topic} (* = index)@n"
"@b{-H}		Print the name of each header file used@n"
"@b{-I@i{dir}}		Search the directory @i{dir} for header files@n"
"@b{-M}		Output a dependence rule for @b{make} for each input file@n"
"@b{-MM}		Same as @b{-M} but ignore system include files@n"
"@b{-M{M}D}		Like @b{-M{M}} but put dependency information in a .d file@n"
"@b{-o @i{file}}		Place output into @i{file}@n"
"@b{-v}		Print the commands executed to run the stages of compilation@n"
};

const char *gcc_clh_text = {\
"@0@b{GNU C/C++ preprocessor Command-Line Help Database Index}@n@n"
"Please specify the help section by using --help=x.y.z where x is "
"the section number, y is the subsection number and so on. You also "
"can specify a few starting characters of the option or section name(-s) "
"you are interested in, e.g. @b{\"@z --help=@i{-W}\"} will display "
"a description of all the options which starts with @b{-W}, "
"@b{\"@z --help=@i{VAX}\"} will display all sections which begins "
"with @i{VAX} and so on. As a equivalent to @b{--help} you can also "
"use @b{-h} which is shorter to type (for example, \"@b{--help=1.12.6}\" "
"is equivalent to \"@b{-h1.12.6}\").@n"
"@nThe following sections are available:@n@n"
"@1{Options Controlling the Preprocessor} "
"@t{-include @i{file}} "
"Process @i{file} as input before processing the regular input file. "
"@t{-imacros @i{file}} "
"Process @i{file} as input, discarding the resulting output, before "
"processing the regular input file. "
"@t{-idirafter @i{dir}} "
"Add the directory @i{dir} to the second include path. "
"@t{-iprefix @i{prefix}} "
"Specify @i{prefix} as the prefix for subsequent @b{-iwithprefix} "
"options. "
"@t{-iwithprefix @i{dir}} "
"Add a directory to the second include path. "
"@t{-iwithprefixbefore @i{dir}} "
"Add a directory to the main include path. "
"@t{-isystem @i{dir}} "
"Add a directory to the beginning of the second include path, marking it "
"as a system directory, so that it gets the same special treatment as "
"is applied to the standard system directories. "
"@t{-nostdinc} "
"Do not search the standard system directories for header files. "
"@t{-remap} "
"When searching for a header file in a directory, remap file names if a "
"file named @u{header.gcc} exists in that directory. "
"@t{-undef} "
"Do not predefine any nonstandard macros. "
"@t{-E} "
"Run only the C preprocessor. "
"@t{-C} "
"Tell the preprocessor not to discard comments. "
"@t{-P} "
"Tell the preprocessor not to generate @b{#line} directives. "
"@t{-M} "
"Instead of outputting the result of preprocessing, output a rule "
"suitable for @b{make} describing the dependencies of the main source "
"file. "
"@t{-MM} "
"Like @b{-M}, but mention only the files included with @b{#include "
"\"@i{file}\"}. "
"@t{-MD} "
"Like @b{-M} but the dependency information is written to a file "
"rather than stdout. "
"@t{-MMD} "
"Like @b{-MD} except mention only user header files, not system "
"-header files. "
"@t{-MF @i{file}} "
"When used with @b{-M} or @b{-MM}, specifies a file to write the "
"dependencies to. "
"@t{-MG} "
"When used with @b{-M} or @b{-MM}, @b{-MG} says to treat missing "
"header files as generated files and assume they live in the same "
"directory as the source file. "
"@t{-MP} "
"This option instructs CPP to add a phony target for each dependency "
"other than the main file, causing each to depend on nothing. "
"@t{-MQ @i{target}} "
"@t{-MT @i{target}} "
"By default CPP uses the main file name, including any path, and appends "
"the object suffix, normally ``.o'', to it to obtain the name of the "
"target for dependency generation. "
"@t{-H} "
"Print the name of each header file used, in addition to other normal "
"activities. "
"@t{-A@i{question}(@i{answer})} "
"Assert the answer @i{answer} for @i{question}, in case it is tested "
"with a preprocessing conditional such as @b{#if "
"#@i{question}(@i{answer})}. "
"@t{-D@i{macro}} "
"Define macro @i{macro} with the string @b{1} as its definition. "
"@t{-D@i{macro}=@i{defn}} "
"Define macro @i{macro} as @i{defn}. "
"@t{-U@i{macro}} "
"Undefine macro @i{macro}. "
"@t{-dM} "
"Tell the preprocessor to output only a list of the macro definitions "
"that are in effect at the end of preprocessing. "
"@t{-dD} "
"Tell the preprocessing to pass all macro definitions into the output, in "
"their proper sequence in the rest of the output. "
"@t{-dN} "
"Like @b{-dD} except that the macro arguments and contents are omitted. "
"@t{-dI} "
"Output @b{#include} directives in addition to the result of "
"preprocessing. "
"@t{-fpreprocessed} "
"Indicate to the preprocessor that the input file has already been "
"preprocessed. "
"@t{-trigraphs} "
"Process ISO standard trigraph sequences. "
"@t{-Wp,@i{option}} "
"Pass @i{option} as an option to the preprocessor. "
"@1{Options for Directory Search} "
"@t{-I@i{dir}} "
"Add the directory @i{dir} to the head of the list of directories to be "
"searched for header files. "
"@t{-I-} "
"Any directories you specify with @b{-I} options before the @b{-I-} "
"option are searched only for the case of @b{#include \"@i{file}\"}; "
"they are not searched for @b{#include <@i{file}>}. "
"@t{-L@i{dir}} "
"Add directory @i{dir} to the list of directories to be searched "
"for @b{-l}. "
"@t{-B@i{prefix}} "
"This option specifies where to find the executables, libraries, "
"include files, and data files of the compiler itself. "
"@t{-specs=@i{file}} "
"Process @i{file} after the compiler reads in the standard @u{specs} "
"file, in order to override the defaults that the @u{gcc} driver "
"program uses when determining what switches to pass to @u{cc1}, "
"@u{cc1plus}, @u{as}, @u{ld}, etc. "
};
