/* This file was automatically made by ./mkoptdesc.sh from "java/gcj.texi" */
const char *clh_default_text = {\
"@0{GNU compiler suite Java driver}"
"@nUsage: @z [option]... [file]...@n@n"
"Compile a set of @b{Java} source code files (for details run @b{@z -h\"Input and output files\"}) "
"then (depending on options) link resulting object files to produce a executable.@n@n"
"The program has a large amount of options, to see the help index type "
"@b{@z --help=*}. Below is a list of most common options:@n@n"
"@b{-c}		Compile or assemble the source files, but do not link@n"
"@b{-D@i{macro}{=@i{defn}}}	Define @i{macro} as @b{1} (if @i{defn} is missing) or @i{defn}@n"
"@b{-E}		Stop after the preprocessing stage; do not run the compiler@n"
"@b{-g}		Produce debugging information@n"
"@b{-h@i{topic}}		Display command-line help on @i{topic} (* = index)@n"
"@b{-H}		Print the name of each header file used@n"
"@b{-I@i{dir}}		Search the directory @i{dir} for header files@n"
"@b{-l@i{library}}	Search the library named @i{library} when linking@n"
"@b{-L@i{dir}}		Search the directory @i{dir} for @b{-l} files@n"
"@b{-M}		Output a dependence rule for @b{make} for each input file@n"
"@b{-MM}		Same as @b{-M} but ignore system include files@n"
"@b{-M{M}D}		Like @b{-M{M}} but put dependency information in a .d file@n"
"@b{-o @i{file}}		Place output into @i{file}@n"
"@b{-O{1..3,s}}	Enable optimizations (1-few ... 3-most, s-optimize by size)@n"
"@b{-p{g}}		Generate extra code to write profile information@n"
"@b{-Q}		Compiler prints out each function name as it is compiled@n"
"@b{-S}		Stop after the stage of compilation proper; do not assemble@n"
"@b{-v}		Print the commands executed to run the stages of compilation@n"
"@b{-x @i{language}}	Specify explicitly the @i{language} for the following files@n"
"@b{-w}		Inhibit all warning messages@n"
"@b{-Wall}		Enable most warning messages@n"
};

const char *gcc_clh_text = {\
"@0@b{GNU Java Command-Line Help Database Index}@n@n"
"Please specify the help section by using --help=x.y.z where x is "
"the section number, y is the subsection number and so on. You also "
"can specify a few starting characters of the option or section name(-s) "
"you are interested in, e.g. @b{\"@z --help=@i{-W}\"} will display "
"a description of all the options which starts with @b{-W}, "
"@b{\"@z --help=@i{VAX}\"} will display all sections which begins "
"with @i{VAX} and so on. As a equivalent to @b{--help} you can also "
"use @b{-h} which is shorter to type (for example, \"@b{--help=1.12.6}\" "
"is equivalent to \"@b{-h1.12.6}\").@n"
"@n@nThe following sections are available:@n@n"
"@1{Invoking gcj} "
"@2{Input and output files} "
"@t{@i{file}.java} "
"Java source files. "
"@t{@i{file}.class} "
"Java bytecode files. "
"@t{@i{file}.zip} "
"@t{@i{file}.jar} "
"@t{@@@i{file}} "
"A file containing a whitespace-separated list of input file names. "
"@t{@i{library}.a} "
"@t{@i{library}.so} "
"@t{-l@i{libname}} "
"Libraries to use when linking. See the @b{gcc} manual. "
"@2{Input Options} "
"@t{-I@i{dir}} "
"All directories specified by @b{-I} are kept in order and prepended "
"to the class path constructed from all the other options. "
"@t{--classpath=@i{path}} "
"This sets the class path to @i{path}, a colon-separated list of paths "
"(on Windows-based systems, a semicolon-separate list of paths). "
"@t{--CLASSPATH=@i{path}} "
"This sets the class path to @i{path}, a colon-separated list of paths "
"(on Windows-based systems, a semicolon-separate list of paths). "
"@t{CLASSPATH} "
"This is an environment variable which holds a list of paths. "
"@t{-fforce-classes-archive-check} "
"This forces the compiler to always check for the special zero length "
"attribute @b{gnu.gcj.gcj-compiled} in @b{java.lang.Object} and "
"@2{Warnings} "
"@t{-Wredundant-modifiers} "
"With this flag, @b{gcj} will warn about redundant modifiers. "
"@t{-Wextraneous-semicolon} "
"This causes @b{gcj} to warn about empty statements. "
"@t{-Wno-out-of-date} "
"This option will cause @b{gcj} not to warn when a source file is "
"newer than its matching class file. "
"@t{-Wunused} "
"This is the same as @b{gcc}'s @b{-Wunused}. "
"@t{-Wall} "
"This is the same as @b{-Wredundant-modifiers -Wextraneous-semicolon "
"-Wunused}. "
"@2{Code Generation} "
"@t{--main=@i{CLASSNAME}} "
"This option is used when linking to specify the name of the class whose "
"@b{main} method should be invoked when the resulting executable is "
"run. "
"@t{-D@i{name}[=@i{value}]} "
"This option can only be used with @b{--main}. "
"@t{-C} "
"This option is used to tell @b{gcj} to generate bytecode "
"(@u{.class} files) rather than object code. "
"@t{-d @i{directory}} "
"When used with @b{-C}, this causes all generated @u{.class} files "
"@t{-fno-bounds-check} "
"By default, @b{gcj} generates code which checks the bounds of all "
"array indexing operations. With this option, these checks are omitted. "
"@t{-fjni} "
"With @b{gcj} there are two options for writing native methods: CNI "
"and JNI. By default @b{gcj} assumes you are using CNI. "
"@2{Configure-time Options} "
"@t{-fuse-boehm-gc} "
"This enables the use of the Boehm GC bitmap marking code. "
"@t{-fhash-synchronization} "
"By default, synchronization data (the data used for @b{synchronize}, "
"@b{wait}, and @b{notify}) is pointed to by a word in each object. "
"@t{-fuse-divide-subroutine} "
"On some systems, a library routine is called to perform integer "
"division. "
"@1{Invoking gcjh} "
"@t{-stubs} "
"This causes @b{gcjh} to generate stub files instead of header files. "
"@t{-jni} "
"This tells @b{gcjh} to generate a JNI header or stub. "
"@t{-add @i{text}} "
"Inserts @i{text} into the class body. This is ignored in JNI mode. "
"@t{-append @i{text}} "
"Inserts @i{text} into the header file after the class declaration. "
"@t{-friend @i{text}} "
"Inserts @i{text} into the class as a @b{friend} declaration. "
"@t{-prepend @i{text}} "
"Inserts @i{text} into the header file before the class declaration. "
"@t{--classpath=@i{path}} "
"@t{--CLASSPATH=@i{path}} "
"@t{-I@i{directory}} "
"@t{-d @i{directory}} "
"@t{-o @i{file}} "
"These options are all identical to the corresponding @b{gcj} options. "
"@t{-o @i{file}} "
"Sets the output file name. "
"@t{-td @i{directory}} "
"Sets the name of the directory to use for temporary files. "
"@t{--help} "
"Print help about @b{gcjh} and exit. No further processing is done. "
"@t{--version} "
"Print version information for @b{gcjh} and exit. "
"@1{Invoking jv-scan} "
"@t{--complexity} "
"This prints a complexity measure, related to cyclomatic complexity, for "
"each input file. "
"@t{--encoding=@i{name}} "
"This works like the corresponding @b{gcj} option. "
"@t{--print-main} "
"This prints the name of the class in this file containing a @b{main} "
"method. "
"@t{--list-class} "
"This lists the names of all classes defined in the input files. "
"@t{--list-filename} "
"If @b{--list-class} is given, this option causes @b{jv-scan} to "
"also print the name of the file in which each class was found. "
"@t{-o @i{file}} "
"Print output to the named file. "
"@1{Invoking jcf-dump} "
"@t{-c} "
"Disassemble method bodies. By default method bodies are not printed. "
"@t{--javap} "
"Generate output in @b{javap} format. "
"@t{--classpath=@i{path}} "
"@t{--CLASSPATH=@i{path}} "
"@t{-I@i{directory}} "
"@t{-o @i{file}} "
"These options as the same as the corresponding @b{gcj} options. "
"@1{Invoking gij} "
"@t{-D@i{name}[=@i{value}]} "
"This defines a system property named @i{name} with value @i{value}. "
"@t{-ms=@i{number}} "
"This sets the initial heap size  "
"@t{-mx=@i{number}} "
"This sets the maximum heap size. "
"@t{-jar} "
"This indicates that the name passed to @b{gij} should be interpreted "
"as the name of a jar file, not a class. "
};
