/* config/i386/xm-emx.h (host) */

#include "i386/xm-i386.h"

/* Directories in path environment variables are separated by semicolons. */
#define PATH_SEPARATOR		';'

/* Pathname components are separated by '/' or '\\'. */
#define DIR_SEPARATOR		'/'
#define DIR_SEPARATOR_2		'\\'

/* OS/2 executables ends with .exe */
#define EXECUTABLE_SUFFIX	".exe"
#define NO_AUTO_EXE_SUFFIX

/* Tell GCC about OS/2's bit bucket. */

#define HOST_BIT_BUCKET "NUL"

/* No block device special files on OS/2 */
#define S_ISBLK(x) 0

/* Command-line help facility support -
   avoid using termcap since its not too reliable on OS/2 */
#ifdef IN_CLH

#include <io.h>

static int emx_monochrome = 0;	/* 1 for monochrome output */
static int emx_textattr = 0;	/* current text attributes */

static int
emx_getwidth (void)
{
    int wh[2];
    char *term;

    term = getenv ("CLH_TERM");
    if (!term)
        term = getenv ("TERM");
    if (term && stricmp (term, "mono") == 0)
        emx_monochrome = 1;

    _scrsize (wh);
    return (wh[0]);
}

static const char *ansi_seq [] =
{
/*  color		monochrome */
    "\033[0;36m",	"\033[0m",	/* */
    "\033[1;36m",	"\033[1m",	/* header */
    "\033[1;37m",	"\033[7m",	/* option */
    "\033[1;37m",	"\033[7m",	/* option + header */
    "\033[1;37m",	"\033[1m",	/* bold */
    "\033[1;37m",	"\033[1m",	/* bold + header */
    "\033[1;37m",	"\033[7m",	/* bold + option */
    "\033[1;37m",	"\033[7m",	/* bold + option + header */
    "\033[1;32m",	"\033[1m",	/* italic */
    "\033[1;32m",	"\033[1m",	/* italic + header */
    "\033[1;32m",	"\033[1m",	/* italic + option */
    "\033[1;32m",	"\033[1m",	/* italic + option + header */
    "\033[1;32m",	"\033[1m",	/* italic + bold */
    "\033[1;32m",	"\033[1m",	/* italic + bold + header */
    "\033[1;32m",	"\033[1m",	/* italic + bold + option */
    "\033[1;32m",	"\033[1m",	/* italic + bold + option + header */
    "\033[1;33m",	"\033[4m",	/* underline */
    "\033[1;33m",	"\033[4m",	/* underline + header */
    "\033[1;37m",	"\033[4m",	/* underline + option */
    "\033[1;37m",	"\033[4m",	/* underline + option + header */
    "\033[1;37m",	"\033[4m",	/* underline + bold */
    "\033[1;37m",	"\033[4m",	/* underline + bold + header */
    "\033[1;37m",	"\033[4m",	/* underline + bold + option */
    "\033[1;37m",	"\033[4m",	/* underline + bold + option + header */
    "\033[1;33m",	"\033[4m",	/* underline + italic */
    "\033[1;37m",	"\033[4m",	/* underline + italic + header */
    "\033[1;37m",	"\033[4m",	/* underline + italic + option */
    "\033[1;37m",	"\033[4m",	/* underline + italic + option + header */
    "\033[1;37m",	"\033[4m",	/* underline + italic + bold */
    "\033[1;37m",	"\033[4m",	/* underline + italic + bold + header */
    "\033[1;37m",	"\033[4m",	/* underline + italic + bold + option */
    "\033[1;37m",	"\033[4m",	/* underline + italic + bold + option + header */
};

#define TERM_OUT(s) \
    write (1, s, strlen (s));

static int
emx_setattr (int flags, int flagmask)
{
    emx_textattr = (emx_textattr & ~flagmask) | flags;
    TERM_OUT (ansi_seq [emx_textattr * 2 + emx_monochrome]);
    return (0);
}

#define CLH_GET_WIDTH			emx_getwidth ()
#define CLH_GET_FILE_WIDTH		emx_getwidth ()
#define CLH_SET_ATTR(flags, flagmask)	emx_setattr (flags, flagmask)
#define CLH_FINISH			TERM_OUT (ansi_seq [emx_monochrome])

#endif /* IN_CLH */
